#include "Person.h" 
//Included here because we use Person class inside Room class
#include <fstream>
using namespace std;

class Room
{
private:
	Person*** room; //pointer to pointer to pointer of object of class Person
	// Its use can be seen in the constructor function Room(char* filename)
	// in file Room.cpp
	int row_exit; //exit location
	int col_exit; //exit location
	int rows; // Number of rows
	int cols; // Number of columns
	int person_count; // Number of people in the room
	int time; 
	ofstream output; // Filestream for output
	void PrintRoom();
public:
	Room(char* filename); // Constructor
	bool isEmpty(int row, int column); // Is the cell empty?
	bool legalSquare(int row, int column); // Is the cell legal?
	bool Occupied(int row, int column); // Is the cell occupied?
	void Simulate(); // Start Simulation
	void addPerson(Person* p, int row, int col); /* Add Person 
	pointed to by pointer p to location (row, column) */
	void removePerson(int row, int col); /* Remove Person 
	from location (row, column) */
	int getExitRow(){return row_exit;}
	int getExitCol(){return col_exit;}
	int exitDistance(int row, int column); /* Distance from 
	(row, column) to the exit */
	~Room();
};
